Bug 1193023 - Networking configuration snippet should be used during image based provisioning
Summary: Networking configuration snippet should be used during image based provisioning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1193460
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 12:10 UTC by Marek Hulan
Modified: 2017-02-23 20:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:26:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9287 0 None None None 2016-04-22 16:12:22 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Marek Hulan 2015-02-16 12:10:54 UTC
Currently we run the configuring snippet only when we provision using PXE, we can include the same snippet in finish templates. We'll have to restart networking as well because host is not rebooted after finish script is run.

Comment 1 Marek Hulan 2015-02-16 12:10:56 UTC
Created from redmine issue http://projects.theforeman.org/issues/9287

Comment 3 Bryan Kearney 2015-02-16 13:05:00 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9287 has been closed

Comment 5 Marek Hulan 2015-02-16 15:25:15 UTC
Katello part is here https://github.com/Katello/katello/pull/5012

Comment 7 Tazim Kolhar 2015-04-21 10:20:42 UTC
hi

please provide verification steps

thanks

Comment 8 Marek Hulan 2015-04-24 11:18:08 UTC
Try to provision a host with additional interfaces, using image based provisioning (finish template is used). Make sure that the interface is configured on that host.

Comment 9 Kedar Bidarkar 2015-05-05 15:59:32 UTC
I am currently using 

a) image based provisioning (on libvirt)
b) using finish based template 
c) when trying to provision a host with additional interfaces, the "ifcfg-" file get's created. 
d) Under the network tab and under the vm tab I had selected the "add interface options"

Looks like I am missing something in here. Need help here.

Comment 10 Marek Hulan 2015-05-06 07:51:16 UTC
How did you set the additional interface, what values did you use? It should be able to create additional virtual interfaces (vlans, aliases), but you probably can't setup additional physical interfaces because you don't know the MAC until the machine is created, so the Foreman can't find the real interface name.

Comment 11 Kedar Bidarkar 2015-05-06 10:06:47 UTC
Now I feel, I don't know how to test this bug, if I go as per you comment 10.

I might really be missing soemthing.

The comment 8 says,

a) I need to use additional interface (whihc means use "Add interface")
b) Use image based provisioning with finish tempalte (which means I need to use either 'rhevm or libvirt', taking into consideration step a), no openstack as for openstack we cannot "add interface")

So wondering how can we check this if we cannot know the MAC address until the machine is created and real interface name not known?

Comment 12 Kedar Bidarkar 2015-05-06 14:05:26 UTC
This bug can only be verified once Bug 1193460 is FIXED.

Comment 13 Kedar Bidarkar 2015-05-18 11:11:32 UTC
As we need to use virtual interfaces with aliases and that not possible to configure currently due to the bug 1193460, wondering is there any other way to verify this bug.

Comment 14 Marek Hulan 2015-05-18 12:03:36 UTC
Just review other than virtual interfaces. E.g. use baremetal with two interfaces and configure second interface (you have to know MAC), verify its configuration file.

Comment 15 Kedar Bidarkar 2015-05-19 09:19:41 UTC
This requires image based provisioning, so thinking baremetal would not be of much use here.

Comment 16 Marek Hulan 2015-05-19 10:26:00 UTC
Right, sorry I forgot you want to test image template explicitly. You may try to configure additional interface for image based provisioning since the finish script is run later so it might work. At least we should see that it tried to create config file (that was subject of this BZ). If it creates the file with wrong MAC, it will be fixed by bug 1193460

Comment 17 Kedar Bidarkar 2015-05-19 17:05:53 UTC
currently it creates a ifcfg-:0 device file when trying to create using virtual NIC's.

I don't know how to configure additional interface when using image based provisioning apart from virtual NIC's.

Comment 18 Marek Hulan 2015-05-22 06:49:01 UTC
You can add additional interfaces in "Virtual Machine" tab using "+ Add Interface"  button, unfortunately this won't help since we won't get the MAC from libvirt. So running the configuration snippet for image based provisioning is not much useful now but you've verified that it's being run.

Comment 19 Kedar Bidarkar 2015-06-04 10:57:45 UTC
VERIFIED this bug with Sat6.1-GA-SNAP3 

Networking configuration snippet does get used during image based provisioning, but currently it does not create an interface properly due to bug 1193460.

so I will be moving this bug to VERIFIED state.

Comment 20 Bryan Kearney 2015-08-11 13:30:35 UTC
This bug is slated to be released with Satellite 6.1.

Comment 21 errata-xmlrpc 2015-08-12 05:26:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.